commit:     1244989d9b3f6e6b3ecf17dce7df4404bc56faf1
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 13:05:42 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 13:06:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1244989d

dev-python/trio-asyncio: update EAPI 7 -> 8, pep517

Closes: https://bugs.gentoo.org/834955
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/trio-asyncio/Manifest                   |  1 +
 .../trio-asyncio/trio-asyncio-0.12.0-r1.ebuild     | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/trio-asyncio/Manifest b/dev-python/trio-asyncio/Manifest
index a4fd4634294e..6b789ea8d080 100644
--- a/dev-python/trio-asyncio/Manifest
+++ b/dev-python/trio-asyncio/Manifest
@@ -1 +1,2 @@
+DIST trio-asyncio-0.12.0.gh.tar.gz 72508 BLAKE2B 
f2dad48e20dadb81f603f8e7edf5d108f5c1dec332e65599e06495a9e3b919d20a15e3cb0d4f06c46a0e844cd79a88c172043b5cae2bc632661679a9ac854c04
 SHA512 
da630bf95d0736efd419a7b84d3fcb55f4440ef5f3ac584f36b2eca9188145d4581b20d4842b1322b07f176822f7c76e32ae57ac71899ea2445ce1783bcd382c
 DIST trio-asyncio-0.12.0.tar.gz 72508 BLAKE2B 
f2dad48e20dadb81f603f8e7edf5d108f5c1dec332e65599e06495a9e3b919d20a15e3cb0d4f06c46a0e844cd79a88c172043b5cae2bc632661679a9ac854c04
 SHA512 
da630bf95d0736efd419a7b84d3fcb55f4440ef5f3ac584f36b2eca9188145d4581b20d4842b1322b07f176822f7c76e32ae57ac71899ea2445ce1783bcd382c

diff --git a/dev-python/trio-asyncio/trio-asyncio-0.12.0-r1.ebuild 
b/dev-python/trio-asyncio/trio-asyncio-0.12.0-r1.ebuild
new file mode 100644
index 000000000000..0130aa355548
--- /dev/null
+++ b/dev-python/trio-asyncio/trio-asyncio-0.12.0-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="a re-implementation of the asyncio mainloop on top of Trio"
+HOMEPAGE="
+       https://github.com/python-trio/trio-asyncio
+       https://pypi.org/project/trio-asyncio/
+"
+SRC_URI="https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/outcome[${PYTHON_USEDEP}]
+       dev-python/sniffio[${PYTHON_USEDEP}]
+       >=dev-python/trio-0.15.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/pytest-trio-0.6[${PYTHON_USEDEP}]
+       )
+"
+PATCHES=( "${FILESDIR}/no-pytest-runner.patch" )
+
+EPYTEST_DESELECT=(
+       # RuntimeError: You're within a Trio environment.
+       # https://bugs.gentoo.org/834955
+       /Python-3.10/test_asyncio/test_locks.py::ConditionTests::test_ambiguo
+       /Python-3.11/test_asyncio/test_locks.py::ConditionTests::test_ambiguo
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinxcontrib-trio 
dev-python/sphinx_rtd_theme

Reply via email to